apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ .Values.probeConfig.probeName }}
  labels:
    {{- include "pyprobe.labels" . | nindent 4 }}
spec:
  replicas: {{ .Values.replicaCount }}
  selector:
    matchLabels:
      {{- include "pyprobe.selectorLabels" . | nindent 6 }}
  template:
    metadata:
    {{- with .Values.podAnnotations }}
      annotations:
        {{- toYaml . | nindent 8 }}
    {{- end }}
      labels:
        {{- include "pyprobe.selectorLabels" . | nindent 8 }}
    spec:
      {{- with .Values.imagePullSecrets }}
      imagePullSecrets:
        {{- toYaml . | nindent 8 }}
      {{- end }}
      securityContext:
        {{- toYaml .Values.podSecurityContext | nindent 8 }}
      containers:
        - name: {{ .Chart.Name }}
          securityContext:
            {{- toYaml .Values.securityContext | nindent 12 }}
          image: "{{ .Values.image.repository }}:{{ .Values.image.tag | default .Chart.AppVersion }}"
          imagePullPolicy: {{ .Values.image.pullPolicy }}
          resources:
            {{- toYaml .Values.resources | nindent 12 }}
          env:
            - name: PROBE_CONFIG
              value: "{ \"disable_ssl_verification\": {{ .Values.probeConfig.disableSslVerification }}, \"log_file_location\": \"{{ .Values.probeConfig.logFileLocation }}\", \"log_level\": \"{{ .Values.probeConfig.logLevel }}\", \"probe_access_key\": \"{{ .Values.probeConfig.probeAccessKey }}\", \"probe_access_key_hashed\": \"{{ .Values.probeConfig.probeAccessKeyHashed }}\", \"probe_base_interval\":\"{{ .Values.probeConfig.probeBaseInterval }}\", \"probe_gid\":\"{{ .Values.probeConfig.probeGid }}\", \"probe_name\":\"{{ .Values.probeConfig.probeName }}\", \"probe_protocol_version\": \"1\", \"prtg_server_ip_dns\": \"{{ .Values.probeConfig.prtgServerIpDns }}\", \"prtg_server_port\": \"{{ .Values.probeConfig.prtgServerPort }}\", \"probe_task_chunk_size\": \"{{ .Values.probeConfig.probeTaskChunkSize }}\"}"
      {{- with .Values.nodeSelector }}
      nodeSelector:
        {{- toYaml . | nindent 8 }}
      {{- end }}
